cURL
curl -X POST "https://app.cotool.ai/api/chats/:chatId/feedback" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"agentId":"string","label":"up","chatEventId":"string","comment":"string"}'import requests
url = "https://app.cotool.ai/api/chats/{chatId}/feedback"
payload = {
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chatEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
chatEventId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
comment: '<string>'
})
};
fetch('https://app.cotool.ai/api/chats/{chatId}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/chats/{chatId}/feedback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chatEventId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"comment\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/chats/{chatId}/feedback"
payload := strings.NewReader("{\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chatEventId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"comment\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Chat
Submit thumbs feedback for a chat
Records a thumbs up/down for a chat if the user has access to it.
POST
/
api
/
chats
/
{chatId}
/
feedback
cURL
curl -X POST "https://app.cotool.ai/api/chats/:chatId/feedback" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"agentId":"string","label":"up","chatEventId":"string","comment":"string"}'import requests
url = "https://app.cotool.ai/api/chats/{chatId}/feedback"
payload = {
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chatEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
chatEventId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
comment: '<string>'
})
};
fetch('https://app.cotool.ai/api/chats/{chatId}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/chats/{chatId}/feedback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chatEventId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"comment\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/chats/{chatId}/feedback"
payload := strings.NewReader("{\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chatEventId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"comment\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Body
application/json
Response
Successful response - no content
Was this page helpful?
⌘I